/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.PricingTipoPtoVtaDAO;
import com.rjconsultores.ventaboletos.entidad.Pricing;
import com.rjconsultores.ventaboletos.entidad.PricingTipoPtoVta;
import com.rjconsultores.ventaboletos.entidad.TipoPuntoVenta;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Rafius
 */
@Repository("pricingTipoPtoVtaDAO")
public class PricingTipoPtoVtaHibernateDAO extends GenericHibernateDAO<PricingTipoPtoVta, Integer>
        implements PricingTipoPtoVtaDAO {

    @Autowired
    public PricingTipoPtoVtaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<PricingTipoPtoVta> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Pricing.ATIVO));

        return c.list();
    }

    public Boolean obtenerPricingTipoPuntoVenta(Pricing pricing, TipoPuntoVenta tipoPuntoVenta) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Pricing.ATIVO));
        c.add(Restrictions.eq("pricing", pricing));
        c.add(Restrictions.eq("tipoPtovta", tipoPuntoVenta));

        if (c.list().size() > 0) {
            return true;
        } else {
            return false;
        }
    }
}
